Advertising

Welcome to SparkyLinux forums
Zapraszamy również na polsko-języczne Forum Linuxiarze.pl

Author Topic: Canon Printer installation difficulties.  (Read 133 times)

Offline nemomen

  • Newbie
  • *
  • Posts: 2
Canon Printer installation difficulties.
« on: November 04, 2019, 09:26:57 am »
Hello everybody!
Does anyone has any idea, how to install Canon LBP7010C printer on Sparky successfully.
Throughout distros and years I had trying set up the said printer, but the best result was looked everything in order, but printed nothing. It is valid in the cases of installations either as root and either as normal user. Unfortunately, Canon does not support Linux yet, so no drivers available at them, and no phone assist for Linux users and old printers. I have downloaded many drivers earlier (so different version from Canon as well), but none of worked. Only the Sparky OS reported to these ones as not supported formats, if I try to install them anyway. The general error message is that the drivers were installed, but /usr/lib64/cups/filter/pstocapt3 or /usr/lib/cups/filter/pstocapt3 would had to install, but I could not installed anyway. Based on the webwide forums, I am not the one and only who had the same experience.  The solutions of the forums had not worked at me.  My closest result was a symbolic link over there, of course, the printer printed nothing.
Thanks in advance.
Nemomen

Offline paxmark1

  • Hero Member
  • *****
  • Posts: 656
Re: Canon Printer installation difficulties.
« Reply #1 on: November 04, 2019, 08:50:08 pm »
One of the big positives for Sparky is the automatic inclusion of all non-free firmware that Debian usually will make you download. 

However to the best of my knowledge no one here works on getting around non-free firmware from companies that are ...    If the Debian forums or any other linux forums do not offer a way to get your printer to do it's job in linux - then it will not print in linux. If you find a way to get it to print in Debian - it will print with Sparky.   

 If you are tied to your printer - find a distro that will print with it or use windoze.  There is the possibility of using qemu/kvm or virtualbox to run windows in Sparky (or Debian ... ...) and see if it will print that way.  Using a virtual system is getting harder depending on the windoze license that you have.

To be blunt, just get a $100 usd$ or $120 cdn$ Hewlett packard laser printer  that is not a new new model.  Support the companies that support linux.  And never buy nvidia either. 
Don't make a FrankenDebian

Offline nemomen

  • Newbie
  • *
  • Posts: 2
Re: Canon Printer installation difficulties.
« Reply #2 on: November 05, 2019, 10:02:50 am »
Dear Paxmark1!
Thanks for your quick respond.
The printer works properly with all of my Windows OS, so I thought, the source of the problem could be find in Linux, but rather in myself. But I do not know, what did I do wrong. The solutions I tried so far, came from the different forums, although I had watched, that problem is not only mine. But none of them led to print. I have tried to install Wine also, the only result was a reinstallation of the whole system. You are right,  I can print under Linux (all distros I had ever used) with my HP printers, and with Canon model, too, which could be find in the database. I was always surprised, that after installation of the said LBP printer by original driver of Canon, it would appears in the database, and PPD database as well, but not print with no error messages.
I am thinking of your suggestion to try any virtual system. It will be a good lesson, how to use a virtual system.
I have noticed also your suggestion not to use nVidia.
Thanks again,
Nemomen